Loading...
Searching...
No Matches
Opm::LinearMaterialParams< TraitsT > Class Template Reference

Reference implementation of params for the linear M-phase material material. More...

`#include <LinearMaterialParams.hpp>`

Inheritance diagram for Opm::LinearMaterialParams< TraitsT >:

## Public Types

typedef TraitsT | Traits

## Public Member Functions

| LinearMaterialParams ()
| The default constructor.
Scalar | pcMinSat (unsigned phaseIdx) const
| Return the relative phase pressure at the minimum saturation of a phase.
void | setPcMinSat (unsigned phaseIdx, Scalar val)
| Set the relative phase pressure at the minimum saturation of a phase.
Scalar | pcMaxSat (unsigned phaseIdx) const
| Return the relative phase pressure at the maximum saturation of a phase.
void | setPcMaxSat (unsigned phaseIdx, Scalar val)
| Set the relative phase pressure at the maximum saturation of a phase.
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class TraitsT>
class Opm::LinearMaterialParams< TraitsT >

Reference implementation of params for the linear M-phase material material.

## Constructor & Destructor Documentation

## LinearMaterialParams()

template<class TraitsT>

Opm::LinearMaterialParams< TraitsT >::LinearMaterialParams | ( |  | ) |

inline

The default constructor.

We set the capillary pressure to zero, if not specified otherwise.

## Member Function Documentation

## pcMaxSat()

template<class TraitsT>

Scalar Opm::LinearMaterialParams< TraitsT >::pcMaxSat | ( | unsigned | phaseIdx | ) | const

inline

Return the relative phase pressure at the maximum saturation of a phase.

This means at .

## pcMinSat()

template<class TraitsT>

Scalar Opm::LinearMaterialParams< TraitsT >::pcMinSat | ( | unsigned | phaseIdx | ) | const

inline

Return the relative phase pressure at the minimum saturation of a phase.

This means at .

## setPcMaxSat()

template<class TraitsT>

void Opm::LinearMaterialParams< TraitsT >::setPcMaxSat | ( | unsigned | phaseIdx,
|  | Scalar | val )

inline

Set the relative phase pressure at the maximum saturation of a phase.

This means at .

## setPcMinSat()

template<class TraitsT>

void Opm::LinearMaterialParams< TraitsT >::setPcMinSat | ( | unsigned | phaseIdx,
|  | Scalar | val )

inline

Set the relative phase pressure at the minimum saturation of a phase.

This means at .

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/LinearMaterialParams.hpp